> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get execution detail



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/executions/{execution_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/executions/{execution_id}:
    get:
      tags:
        - Executions API
      summary: Get execution detail
      operationId: get_execution_endpoint_api_v1_org_executions__execution_id__get
      parameters:
        - in: path
          name: execution_id
          required: true
          schema:
            format: uuid4
            title: Execution Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutionDetail'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ExecutionDetail:
      properties:
        execution:
          $ref: '#/components/schemas/ExecutionSummary'
        step_summary:
          $ref: '#/components/schemas/StepSummary'
        steps:
          items:
            $ref: '#/components/schemas/ExecutionStep'
          title: Steps
          type: array
      required:
        - execution
        - steps
      title: ExecutionDetail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ExecutionSummary:
      properties:
        cluster_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Cluster Id
        cluster_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Name
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        display_name:
          title: Display Name
          type: string
        error_excerpt:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Excerpt
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        organisation_id:
          format: uuid
          title: Organisation Id
          type: string
        outcome:
          anyOf:
            - $ref: '#/components/schemas/ExecutionOutcome'
            - type: 'null'
        scope:
          $ref: '#/components/schemas/ExecutionScope'
        status:
          $ref: '#/components/schemas/OperationStatus'
        step_summary:
          $ref: '#/components/schemas/StepSummary'
        type:
          title: Type
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - scope
        - organisation_id
        - name
        - display_name
        - type
        - status
      title: ExecutionSummary
      type: object
    StepSummary:
      properties:
        failed:
          default: 0
          title: Failed
          type: integer
        pending:
          default: 0
          title: Pending
          type: integer
        running:
          default: 0
          title: Running
          type: integer
        succeeded:
          default: 0
          title: Succeeded
          type: integer
        total:
          default: 0
          title: Total
          type: integer
      title: StepSummary
      type: object
    ExecutionStep:
      properties:
        chart_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Chart Name
        chart_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Chart Version
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        error_excerpt:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Excerpt
        iac_from_file_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Iac From File Path
        id:
          format: uuid
          title: Id
          type: string
        in_flight_task:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: In Flight Task
        in_flight_task_started_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: In Flight Task Started At
        name:
          title: Name
          type: string
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        registry_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Registry Name
        resource_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Kind
        scheduler_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduler Name
        stack_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Stack Name
        stack_resource_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Stack Resource Id
        start_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Start At
        status:
          $ref: '#/components/schemas/JobStatus'
        stop_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Stop At
        target_resource_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Target Resource Id
        target_resource_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Resource Kind
        target_resource_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Resource Name
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - name
        - status
      title: ExecutionStep
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ExecutionOutcome:
      enum:
        - unknown
        - noop
        - mutated
        - failed
        - cancelled
      title: ExecutionOutcome
      type: string
    ExecutionScope:
      enum:
        - cluster
        - platform
      title: ExecutionScope
      type: string
    OperationStatus:
      enum:
        - running
        - stopping
        - success
        - cleanup
        - failed
        - critical
        - cancelled
      title: OperationStatus
      type: string
    JobStatus:
      enum:
        - running
        - success
        - failed
        - timeout
        - pending
        - blocked
        - cancelling
        - cancelled
      title: JobStatus
      type: string

````